DataAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class DataAccess

    java.lang.Object
      com.fenalco.entities.DataAccess

    public class DataAccess

extends java.lang.Object

Clase que permite obtener información de tablas específicas de la Base de Datos y hacer ciertas operaciones específicas

Author:
  Juan Ernesto Peña Kaltekis

Constructor Summary
`DataAccess()` Constructor por defecto de la clase

Method Summary
`static java.util.Vector` | `communityIds(int supplierId)`
`static boolean` | `deleteCity(int id, Transaction transaction)`
`static boolean` | `deleteCountry(int id, Transaction transaction)`
`static boolean` | `deleteNeighbourhood(int id, Transaction transaction)`
`static boolean` | `deleteProvince(int id, Transaction transaction)`
`static boolean` | `deleteZone(int id, Transaction transaction)`
`static boolean` | `existGLN(java.lang.String GLN)`
`static int` | `geSuppliertIdFromGln(java.lang.String gln)`
`static double` | `getBillingParameterValue(int billingTypeId)`
`static java.util.Hashtable` | `getBillingTypes()`
`static java.util.Hashtable` | `getBillStatus()`
`static java.util.Hashtable` | `getCiiu()` Obtiene la lista de ciiu de la tabla ciiu
`static java.util.Vector` | `getCities(int provinceId)` Obtiene las ciudades/municipios asociados al departamento consultando en la tabla ciudad
`static java.lang.String` | `getCityName(int cityId)` Esta funciòn retorna el nombre de la ciudad especificada por cityId
`static int` | `getCityProvince(int cityId)`
`static java.util.Hashtable` | `getCompanyStatus()`
`static java.lang.String` | `getCompanyStatusName(int statusId)`
`static java.util.Hashtable` | `getCompanyTypes()` Obtiene los tipos de empresa que pueden estar en el sistema consultando en la tabla tipo_empresa
`static java.util.Hashtable` | `getCompleteBillingTypes()`
`static java.util.Vector` | `getCountries()` Obtiene los paises del sistema consultando en la tabla pais
`static java.lang.String` | `getCurrency(double d)`
`static java.util.Hashtable` | `getIvaList()`
`static int` | `getMaxStoresNumber()`
`static double` | `getMinimalOrder(int supplierId)`
`static int` | `getNeighbourhoodCity(int neighbourhoodId)`
`static java.util.Vector` | `getNeighbourhoods(int cityId)` Obtiene los barrios asociados a una ciudad
`static java.util.Vector` | `getNeighbourhoodsZone(int zoneId)` Obtiene los barrios asociados a la zona consultando en la tabla barrio
`static int` | `getNumberActivatedStores(int supplierId, java.sql.Date date)`
`static java.util.Hashtable` | `getOrderStatus(int roleId)`
`static java.lang.String` | `getOrderStatusName(int statusId)`
`static int` | `getProvinceCountry(int provinceId)`
`static java.util.Vector` | `getProvinces(int countryId)` Obtiene los departamentos asociados al país consultando en la tabla departamento
`static java.lang.String` | `getPvlEmail()` Esta funciòn retorna el email definido por PVL para efecto de envio de correos a minoristas y proveeedores
`static java.util.Hashtable` | `getQuoteStatus()`
`static java.lang.String` | `getRoleUrl(int roleId)` Esta funciòn retorna el URL del servlet de incio de cada rol
`static java.util.Hashtable` | `getSectors()` Obtiene los sectores en los que puede estar una empresa consultando en la tabla sector
`static int` | `getShopKeeperExclusiveStatus(int idSupplier, int idShopKeeper)`
`static java.util.Hashtable` | `getShopKeepers()`
`static int` | `getStatusSupplierShopKeeper(int idSupplier, int idShopKeeper)`
`static int` | `getStoreCommunity(int storeId)`
`static int` | `getStoreCommunity(int storeId, int supplierId)`
`static int` | `getStoresNumber(int shopKeeperId)`
`static int` | `getStratum()`
`static int` | `getSupplierUsers(int supplierId)`
`static java.util.Vector` | `getValidCities(int provinceId)`
`static java.util.Vector` | `getValidCountries()`
`static java.util.Vector` | `getValidCountries2()`
`static java.util.Vector` | `getValidProvinces(int countryId)`
`static java.util.Vector` | `getValidProvinces2(int countryId)`
`static java.util.Vector` | `getZones(int cityId)` Obtiene las zonas asociadas a la ciudad/municipio consultando en la tabla zona
`static boolean` | `hasOrders(int companyId)`
`static boolean` | `isValidProduct(int id, int community)` Esta función valida si un producto tiene escalas definidas para uan comunidad dada
`static void` | `main(java.lang.String[] args)`
`static boolean` | `makeBackUp()` Crea el archivo backup.sql como copia de seguridad de los datos almacenados en el sistema
`static boolean` | `monthInvoiced(java.sql.Date date)`
`static void` | `newCity(int provinceId, java.lang.String name, Transaction transaction)`
`static void` | `newCountry(java.lang.String name, Transaction transaction)`
`static void` | `newNeighbourhood(int zoneId, java.lang.String name, Transaction transaction)`
`static void` | `newProvince(int countryId, java.lang.String name, Transaction transaction)`
`static void` | `newZone(int cityId, java.lang.String name, Transaction transaction)`
`static void` | `updateBillingParameter(int id, double value, Transaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataAccess

    public DataAccess()

  Constructor por defecto de la clase

Method Detail

### getCountries

    public static java.util.Vector getCountries()

  Obtiene los paises del sistema consultando en la tabla pais

  Returns:
    Vector que contiene los paises

### getValidCountries

    public static java.util.Vector getValidCountries()

### getValidCountries2

    public static java.util.Vector getValidCountries2()

### getValidProvinces

    public static java.util.Vector getValidProvinces(int countryId)

### getValidProvinces2

    public static java.util.Vector getValidProvinces2(int countryId)

### getValidCities

    public static java.util.Vector getValidCities(int provinceId)

### getProvinces

    public static java.util.Vector getProvinces(int countryId)

  Obtiene los departamentos asociados al país consultando en la tabla departamento

  Parameters:
    `countryId` - Identificador del país del cual se quieren obtener los departamentos
  Returns:
    Vector que contiene los departamentos

### getCities

    public static java.util.Vector getCities(int provinceId)

  Obtiene las ciudades/municipios asociados al departamento consultando en la tabla ciudad

  Parameters:
    `provinceId` - Identificador del departamento del cual se quieren obtener las ciudades/municipios
  Returns:
    Vector que contiene las ciudades/municipios

### getZones

    public static java.util.Vector getZones(int cityId)

  Obtiene las zonas asociadas a la ciudad/municipio consultando en la tabla zona

  Parameters:
    `cityId` - Identificador de la ciudad/municipio del cual se quieren obtener las zonas
  Returns:
    Vector que contiene las zonas

### getNeighbourhoods

    public static java.util.Vector getNeighbourhoods(int cityId)

  Obtiene los barrios asociados a una ciudad

  Parameters:
    `zoneId` - Identificador de la zona de la cual se quieren obtener los barrios
    `cityId` - id de la ciudad respectiva
  Returns:
    Vector que contiene los barrios

### getNeighbourhoodsZone

    public static java.util.Vector getNeighbourhoodsZone(int zoneId)

  Obtiene los barrios asociados a la zona consultando en la tabla barrio

  Returns:
    Hashtable que contiene los barrios

### getSectors

    public static java.util.Hashtable getSectors()

  Obtiene los sectores en los que puede estar una empresa consultando en la tabla sector

  Returns:
    Hashtable que contiene los sectores

### getCompanyTypes

    public static java.util.Hashtable getCompanyTypes()

  Obtiene los tipos de empresa que pueden estar en el sistema consultando en la tabla tipo_empresa

  Returns:
    Hashtable que contiene los tipos de empresa

### getCiiu

    public static java.util.Hashtable getCiiu()

  Obtiene la lista de ciiu de la tabla ciiu

  Returns:
    Hashtable que contiene los ciiu

### getCompanyStatus

    public static java.util.Hashtable getCompanyStatus()

### makeBackUp

    public static boolean makeBackUp()

  Crea el archivo backup.sql como copia de seguridad de los datos almacenados en el sistema

  Returns:
    booleano que indica si la realización del backup fué exitosa

### getBillStatus

    public static java.util.Hashtable getBillStatus()

### getRoleUrl

    public static java.lang.String getRoleUrl(int roleId)

  Esta funciòn retorna el URL del servlet de incio de cada rol

### getCityName

    public static java.lang.String getCityName(int cityId)

  Esta funciòn retorna el nombre de la ciudad especificada por cityId

### getCompanyStatusName

    public static java.lang.String getCompanyStatusName(int statusId)

### getOrderStatusName

    public static java.lang.String getOrderStatusName(int statusId)

### getIvaList

    public static java.util.Hashtable getIvaList()

### getPvlEmail

    public static java.lang.String getPvlEmail()

  Esta funciòn retorna el email definido por PVL para efecto de envio de correos a minoristas y proveeedores

### getStatusSupplierShopKeeper

    public static int getStatusSupplierShopKeeper(int idSupplier,
                                                  int idShopKeeper)

### getShopKeeperExclusiveStatus

    public static int getShopKeeperExclusiveStatus(int idSupplier,
                                                   int idShopKeeper)

### getCityProvince

    public static int getCityProvince(int cityId)

### getProvinceCountry

    public static int getProvinceCountry(int provinceId)

### getNeighbourhoodCity

    public static int getNeighbourhoodCity(int neighbourhoodId)

### existGLN

    public static boolean existGLN(java.lang.String GLN)

### getBillingTypes

    public static java.util.Hashtable getBillingTypes()

### getOrderStatus

    public static java.util.Hashtable getOrderStatus(int roleId)

### getQuoteStatus

    public static java.util.Hashtable getQuoteStatus()

### getShopKeepers

    public static java.util.Hashtable getShopKeepers()

### hasOrders

    public static boolean hasOrders(int companyId)

### getBillingParameterValue

    public static double getBillingParameterValue(int billingTypeId)

### getStoreCommunity

    public static int getStoreCommunity(int storeId)

### getStoreCommunity

    public static int getStoreCommunity(int storeId,
                                        int supplierId)

### getNumberActivatedStores

    public static int getNumberActivatedStores(int supplierId,
                                               java.sql.Date date)

### getCompleteBillingTypes

    public static java.util.Hashtable getCompleteBillingTypes()

### updateBillingParameter

    public static void updateBillingParameter(int id,
                                              double value,
                                              Transaction transaction)

### newCountry

    public static void newCountry(java.lang.String name,
                                  Transaction transaction)

### newProvince

    public static void newProvince(int countryId,
                                   java.lang.String name,
                                   Transaction transaction)

### newCity

    public static void newCity(int provinceId,
                               java.lang.String name,
                               Transaction transaction)

### newZone

    public static void newZone(int cityId,
                               java.lang.String name,
                               Transaction transaction)

### newNeighbourhood

    public static void newNeighbourhood(int zoneId,
                                        java.lang.String name,
                                        Transaction transaction)

### deleteCountry

    public static boolean deleteCountry(int id,
                                        Transaction transaction)

### deleteProvince

    public static boolean deleteProvince(int id,
                                         Transaction transaction)

### deleteCity

    public static boolean deleteCity(int id,
                                     Transaction transaction)

### deleteZone

    public static boolean deleteZone(int id,
                                     Transaction transaction)

### deleteNeighbourhood

    public static boolean deleteNeighbourhood(int id,
                                              Transaction transaction)

### getCurrency

    public static java.lang.String getCurrency(double d)

### getStoresNumber

    public static int getStoresNumber(int shopKeeperId)

### getSupplierUsers

    public static int getSupplierUsers(int supplierId)

### getMinimalOrder

    public static double getMinimalOrder(int supplierId)

### getStratum

    public static int getStratum()

### geSuppliertIdFromGln

    public static int geSuppliertIdFromGln(java.lang.String gln)

### getMaxStoresNumber

    public static int getMaxStoresNumber()

### monthInvoiced

    public static boolean monthInvoiced(java.sql.Date date)

### communityIds

    public static java.util.Vector communityIds(int supplierId)

### isValidProduct

    public static boolean isValidProduct(int id,
                                         int community)

  Esta función valida si un producto tiene escalas definidas para uan comunidad dada

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD